/**
 * @autore: Davide Zerrilli
 * @data: 16/01/2007
 * @descrizione: legge xml e ne mostra i contenuti
 * @richiede: jQuery
 
 PROBLEMI CON LETTURA DA DOMINI DIVERSI
 
 */
var parametro = $("#box_letture").getUrlParam("categoria");
var indirizzoXML = "/includes2007/ssi/boxes/letture/xml/elenco_libri_"+parametro+".xml";
//var indirizzoXML = "http://libreriarizzoli.corriere.it/utils/RcsProductByChannel.aspx?canale=cinema";
var parametri_conta_clic = "&utm_source=Corriere&utm_medium=Box_letture &utm_campaign=Box_letture";

var autori = new Array();
var titoli = new Array();
var prezzi = new Array();
var links = new Array();
var imgs = new Array();	



$(document).ready(function(){						   
    caricaXML(indirizzoXML);
});

function mostraInPagina(autore1, titolo1, prezzo1, link1, img1){
$("#letture-correlate .preload").hide("slow");
$("#letture-correlate").append("<h4><a href='"+link1+"'><img src='"+img1+"'/></a> CONSIGLI <strong>di lettura</strong></h4>");
//$("#letture-correlate").append("<h5><a href='"+link1+"'>"+autore1+"</a></h5>");
$("#letture-correlate").append("<h5><a href='"+link1+parametri_conta_clic+"'>"+autore1+"</a></h5>");
//$("#letture-correlate").append("<h6><a href='"+link1+"'>"+titolo1+"</a></h6>");
$("#letture-correlate").append("<h6><a href='"+link1+parametri_conta_clic+"'>"+titolo1+"</a></h6>");
$("#letture-correlate").append("<p>&#8364; "+prezzo1+"</p>");
$("#letture-correlate").append("<a href='http://libreriarizzoli.corriere.it/'><img src='http://images.corriere.it/images/box_lettura_logo_libreria_rizzoli.gif' class='libreria_rizzoli'/></a>");

}

function correggiTitolo(titolo_da_analizzare){
	//nel caso di un titolo tipo "ASSASSINO (L')" lo corregge in "L'ASSASSINO"
	//nel caso di un titolo tipo "ASSASSINO CHE (FORSE) NON MUORE MAI  (L')" lo corregge in "L'ASSASSINO ASSASSINO CHE (FORSE) NON MUORE MAI"

	if (titolo_da_analizzare.charAt(titolo_da_analizzare.length-1)==")"){	
		var splitted = titolo_da_analizzare.split("(");
		var titolo_da_analizzare = splitted[splitted.length-1].replace(")"," ")+splitted[0];
		for (i=1; i<splitted.length-1; i++){
			titolo_da_analizzare = titolo_da_analizzare+"("+splitted[i];
		}
	}
	
	return titolo_da_analizzare;
}

function caricaXML(indirizzo){

    $.get(indirizzo, function(xml){

        $("book", xml).each(function(i){
		    autori[i] = $(this).find("autore").text();	 
			titoli[i] = $(this).find("titolo").text();
			prezzi[i] = $(this).find("price").text();
			links[i] = $(this).find("link").text();
			imgs[i] = $(this).find("image").text();				
		});
		
		var num = Math.round(9*Math.random()); //selezione random di un book
		mostraInPagina(autori[num], correggiTitolo (titoli[num]), prezzi[num], links[num], imgs[num]);
		
    });
	
}
